#pragma once


class CIniFile
{
public:
	CIniFile(VOID);
	virtual ~CIniFile(VOID);

private:
	TCHAR	mFileName[MAX_PATH];

public:
	BOOL	Open(char* fileName);
	BOOL	Close(VOID);

	BOOL	SetValue(char* keyName, char* valueName, char* value);
	BOOL	SetValue(char* keyName, char* valueName, DWORD value);
	BOOL	SetValue(char* keyName, char* valueName, FLOAT value);

	BOOL	GetValue(char* keyName, char* valueName, char* value, LPDWORD bufferLength);
	BOOL	GetValue(char* keyName, char* valueName, LPDWORD value);
	BOOL	GetValue(char* keyName, char* valueName, FLOAT *value);
};
